Package com.saxonica.functions.extfn.EXPathArchive

## Class Archive

- java.lang.Object
- - com.saxonica.functions.extfn.EXPathArchive.Archive

-     public class Archive
      extends java.lang.Object

  Implementation of extension functions in the EXPath Archive package, see http://expath.org/spec/archive

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Archive.ArchiveType` |
    `static class` | `Archive.CompressionType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ERROR_NAMESPACE` |
    `static java.lang.String` | `ERROR_PREFIX` |
    `static java.lang.String` | `NAMESPACE` |
    `static java.lang.String` | `PREFIX` |
    `static BigDecimalValue` | `VERSION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Archive()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HashTrieMap` | `add​(HashTrieMap map, java.lang.String key, long val)` |
    `static HashTrieMap` | `add​(HashTrieMap map, java.lang.String key, java.lang.String val)` |
    `static HashTrieMap` | `add​(HashTrieMap map, java.lang.String key, AtomicValue val)` |
    `static Archive.ArchiveType` | `archiveType​(Base64BinaryValue in)` |
    `static Archive.CompressionType` | `compressionType​(Base64BinaryValue in)` |
    `static Base64BinaryValue` | `create​(ZeroOrMore<StringValue> entries, ZeroOrMore<Base64BinaryValue> values)` |
    `static Base64BinaryValue` | `createMap​(One<MapItem> entries)` |
    `static Base64BinaryValue` | `createMap​(One<MapItem> entries, One<MapItem> options)` |
    `static One<Base64BinaryValue>` | `delete​(One<Base64BinaryValue> in, ZeroOrMore<StringValue> entries)` |
    `static One<Base64BinaryValue>` | `deleteMap​(One<Base64BinaryValue> in, One<MapItem> entries)` |
    `static java.util.ArrayList<NodeInfo>` | `entries​(XPathContext context, Base64BinaryValue in)` |
    `static MapItem` | `entriesMap​(XPathContext context, Base64BinaryValue in)` |
    `static MapItem` | `entriesMap​(XPathContext context, Base64BinaryValue in, BooleanValue returnContent)` |
    `static ZeroOrMore<? extends StringValue>` | `entryNames​(Base64BinaryValue in)` |
    `static ZeroOrMore<Base64BinaryValue>` | `extractBinary​(One<Base64BinaryValue> in, ZeroOrMore<StringValue> entries)` |
    `static ZeroOrMore<Base64BinaryValue>` | `extractBinaryMap​(One<Base64BinaryValue> in, One<MapItem> entries)` |
    `static AtomicValue[]` | `extractMap​(One<Base64BinaryValue> in, One<MapItem> entries)` |
    `static ZeroOrMore<? extends StringValue>` | `extractText​(One<Base64BinaryValue> in, ZeroOrMore<StringValue> entries)` |
    `static ZeroOrMore<? extends StringValue>` | `extractText​(One<Base64BinaryValue> in, ZeroOrMore<StringValue> entries, One<StringValue> encoding)` |
    `static ZeroOrMore<? extends StringValue>` | `extractTextMap​(One<Base64BinaryValue> in, One<MapItem> entries)` |
    `static ZeroOrMore<? extends StringValue>` | `extractTextMap​(One<Base64BinaryValue> in, One<MapItem> entries, One<StringValue> encoding)` |
    `static NodeInfo` | `options​(XPathContext context, Base64BinaryValue in)` |
    `static MapItem` | `optionsMap​(XPathContext context, Base64BinaryValue in)` |
    `static Base64BinaryValue` | `update​(One<Base64BinaryValue> in, ZeroOrMore<StringValue> entries, ZeroOrMore<Base64BinaryValue> values)` |
    `static Base64BinaryValue` | `updateMap​(One<Base64BinaryValue> in, One<MapItem> entries)` |
    `static BigDecimalValue` | `version()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final BigDecimalValue VERSION

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      See Also:
        Constant Field Values

    - #### PREFIX

          public static final java.lang.String PREFIX

      See Also:
        Constant Field Values

    - #### ERROR_NAMESPACE

          public static final java.lang.String ERROR_NAMESPACE

      See Also:
        Constant Field Values

    - #### ERROR_PREFIX

          public static final java.lang.String ERROR_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Archive

          public Archive()

  - ### Method Detail

    - #### version

          public static BigDecimalValue version()

    - #### archiveType

          public static Archive.ArchiveType archiveType​(Base64BinaryValue in)
                                                 throws XPathException

      Throws:
        `XPathException`

    - #### compressionType

          public static Archive.CompressionType compressionType​(Base64BinaryValue in)
                                                         throws XPathException

      Throws:
        `XPathException`

    - #### add

          public static HashTrieMap add​(HashTrieMap map,
                                        java.lang.String key,
                                        AtomicValue val)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### add

          public static HashTrieMap add​(HashTrieMap map,
                                        java.lang.String key,
                                        java.lang.String val)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### add

          public static HashTrieMap add​(HashTrieMap map,
                                        java.lang.String key,
                                        long val)
                                 throws XPathException

      Throws:
        `XPathException`

    - #### entryNames

          public static ZeroOrMore<? extends StringValue> entryNames​(Base64BinaryValue in)
                                                              throws java.io.IOException,
                                                                     XPathException,
                                                                     java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### entries

          public static java.util.ArrayList<NodeInfo> entries​(XPathContext context,
                                                              Base64BinaryValue in)
                                                       throws java.io.IOException,
                                                              XPathException,
                                                              java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### entriesMap

          public static MapItem entriesMap​(XPathContext context,
                                           Base64BinaryValue in)
                                    throws java.io.IOException,
                                           XPathException,
                                           java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### entriesMap

          public static MapItem entriesMap​(XPathContext context,
                                           Base64BinaryValue in,
                                           BooleanValue returnContent)
                                    throws java.io.IOException,
                                           XPathException,
                                           java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### optionsMap

          public static MapItem optionsMap​(XPathContext context,
                                           Base64BinaryValue in)
                                    throws java.io.IOException,
                                           XPathException,
                                           java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### options

          public static NodeInfo options​(XPathContext context,
                                         Base64BinaryValue in)
                                  throws XPathException

      Throws:
        `XPathException`

    - #### extractBinary

          public static ZeroOrMore<Base64BinaryValue> extractBinary​(One<Base64BinaryValue> in,
                                                                    ZeroOrMore<StringValue> entries)
                                                             throws java.io.IOException,
                                                                    XPathException,
                                                                    java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### extractBinaryMap

          public static ZeroOrMore<Base64BinaryValue> extractBinaryMap​(One<Base64BinaryValue> in,
                                                                       One<MapItem> entries)
                                                                throws java.io.IOException,
                                                                       XPathException,
                                                                       java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### extractText

          public static ZeroOrMore<? extends StringValue> extractText​(One<Base64BinaryValue> in,
                                                                      ZeroOrMore<StringValue> entries)
                                                               throws java.io.IOException,
                                                                      XPathException,
                                                                      java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### extractText

          public static ZeroOrMore<? extends StringValue> extractText​(One<Base64BinaryValue> in,
                                                                      ZeroOrMore<StringValue> entries,
                                                                      One<StringValue> encoding)
                                                               throws java.io.IOException,
                                                                      XPathException,
                                                                      java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### extractMap

          public static AtomicValue[] extractMap​(One<Base64BinaryValue> in,
                                                 One<MapItem> entries)
                                          throws java.io.IOException,
                                                 XPathException,
                                                 java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### extractTextMap

          public static ZeroOrMore<? extends StringValue> extractTextMap​(One<Base64BinaryValue> in,
                                                                         One<MapItem> entries)
                                                                  throws java.io.IOException,
                                                                         XPathException,
                                                                         java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### extractTextMap

          public static ZeroOrMore<? extends StringValue> extractTextMap​(One<Base64BinaryValue> in,
                                                                         One<MapItem> entries,
                                                                         One<StringValue> encoding)
                                                                  throws java.io.IOException,
                                                                         XPathException,
                                                                         java.net.URISyntaxException

      Throws:
        `java.io.IOException`
        `XPathException`
        `java.net.URISyntaxException`

    - #### delete

          public static One<Base64BinaryValue> delete​(One<Base64BinaryValue> in,
                                                      ZeroOrMore<StringValue> entries)
                                               throws java.io.IOException,
                                                      XPathException

      Throws:
        `java.io.IOException`
        `XPathException`

    - #### deleteMap

          public static One<Base64BinaryValue> deleteMap​(One<Base64BinaryValue> in,
                                                         One<MapItem> entries)
                                                  throws java.io.IOException,
                                                         XPathException

      Throws:
        `java.io.IOException`
        `XPathException`

    - #### update

          public static Base64BinaryValue update​(One<Base64BinaryValue> in,
                                                 ZeroOrMore<StringValue> entries,
                                                 ZeroOrMore<Base64BinaryValue> values)
                                          throws java.io.IOException,
                                                 XPathException

      Throws:
        `java.io.IOException`
        `XPathException`

    - #### updateMap

          public static Base64BinaryValue updateMap​(One<Base64BinaryValue> in,
                                                    One<MapItem> entries)
                                             throws java.io.IOException,
                                                    XPathException

      Throws:
        `java.io.IOException`
        `XPathException`

    - #### create

          public static Base64BinaryValue create​(ZeroOrMore<StringValue> entries,
                                                 ZeroOrMore<Base64BinaryValue> values)
                                          throws java.io.IOException,
                                                 XPathException

      Throws:
        `java.io.IOException`
        `XPathException`

    - #### createMap

          public static Base64BinaryValue createMap​(One<MapItem> entries)
                                             throws java.io.IOException,
                                                    XPathException

      Throws:
        `java.io.IOException`
        `XPathException`

    - #### createMap

          public static Base64BinaryValue createMap​(One<MapItem> entries,
                                                    One<MapItem> options)
                                             throws java.io.IOException,
                                                    XPathException

      Throws:
        `java.io.IOException`
        `XPathException`